/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '../../../style/plateg-cockpit-variables.less';
@import '@plateg/theme/styles/plateg-variables.less';
.btn-menu-switcher {
  display: block !important;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1063;
  border: 0;
  background: #000;
  color: #fff;
  height: 64px;
  font-size: 2rem;
  &:hover,
  &:focus,
  &:active {
    background: #000;
    outline: dotted 1px;
    outline-offset: -3px;
    color: #fff;
    border: 0;
    box-shadow: none;
  }
}
.ant-drawer-open {
  margin-top: 0 !important;
}
.cockpit-sider {
  z-index: 10;
  overflow-y: auto;
  top: 0;

  .ant-drawer-body {
    padding: 0 !important;
    background-color: black;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    ul.cockpit-sticky-below-header {
      flex: 1;
      padding-bottom: 13px;

      display: flex;
      flex-direction: column;
    }
    .button-holder-menu {
      padding-bottom: 13px;
      background-color: black;
      color: white;
      display: flex;
      justify-content: space-evenly;
      flex-direction: column;
      align-items: flex-start;
      padding-left: 24px;
      padding-right: 24px;
      .ant-btn {
        padding: 10px;
        width: 100%;
        color: white;
        display: inline-block;
        &:hover,
        &:focus-within,
        &:focus-visible {
          outline: 1px solid white !important;
          outline-offset: 2px;
          border-radius: 8px;
          transition: inherit;
        }
        span {
          display: block;
          text-align: left;
        }
      }
    }
  }

  .cockpit-sticky-below-header {
    @media screen and (max-width: 768px) {
      scrollbar-width: thin;
    }
    padding: 20px 13px;
    margin: 3px;
    padding-bottom: 0;
    height: auto;
    top: 0;
    &::-webkit-scrollbar {
      width: 5px;
    }
    &::-webkit-scrollbar-track {
      background: #ddd;
    }
    &::-webkit-scrollbar-thumb {
      background: #666;
    }
    &:focus-visible {
      outline: 2px solid #7aa7ff;
    }
  }

  .main-nav-tooltip {
    max-width: 270px;
    z-index: 1063;
  }

  .ant-menu-item {
    border: 0;
    padding: 0;
    margin: 4px;
    height: auto;
    line-height: normal;
    background: none;
    border-radius: 0;
    &:active {
      text-decoration: underline;
      text-decoration-color: white;
      background-color: transparent !important;
    }

    &.ant-menu-item-selected {
      border: none;
      .item-holder {
        background-color: @menu-blue;
        border-color: transparent;
        .cockpit-header-logo {
          width: 24px;
          height: 24px;
          color: #fff;
        }
        &:focus {
          border-color: white;
        }
      }
      &:focus-visible {
        .item-holder {
          border-color: white;
        }
      }
    }
    &.ant-menu-item-disabled {
      text-decoration: none;
      .item-holder {
        color: @text-disabled-color;
        &:hover,
        &:focus {
          color: @text-disabled-color;
          border-color: transparent;
        }
      }
    }

    &.divider-push-up {
      margin-top: auto;
      border-top: 1.5px solid white;
      padding-top: 10px;
    }

    &.menu-item-light-cockpit,
    &.menu-item-light-egfa,
    &.menu-item-evor,
    &.menu-item-hra,
    &.menu-item-ggp {
      border-bottom: 1.5px solid white;
      padding-bottom: 10px;
      margin-bottom: 10px;
    }
    &.menu-item-pkp {
      padding-bottom: 10px;
    }
    &.menu-item-fachadmin {
      border-top: 1.5px solid white;
      padding-top: 10px;
      margin-top: 0;
      margin-bottom: 10px;
    }
    &.menu-item-rv-bt {
      border-top: 1.5px solid white;
      padding-top: 10px;
      margin-top: 10px;
    }
    &.menu-item-admin {
      border-top: 1.5px solid white;
      padding-top: 10px;
      margin-top: 10px;
    }
    &:focus-visible {
      outline: 0 !important;
      .item-holder {
        border-color: white;
        color: white;
      }
    }
    .item-holder {
      height: auto;
      white-space: normal;
      line-height: 2.4rem;
      font-size: 1.6rem;
      border: 1.5px solid transparent;
      border-radius: 8px;
      color: #fff;
      padding: 10px;
      text-decoration: none;
      justify-content: flex-start;
      gap: 16px;
      align-items: center;
      display: flex;
      &.remove-gap {
        gap: 0;
      }
      .cockpit-header-logo {
        width: 24px;
        height: 24px;
        color: #fff;
      }
      &:hover,
      &:focus {
        border-color: white;
        color: white;
      }
    }
  }
}
